This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 133016 - CAN-2004-0903 VCard buffer overflow
CAN-2004-0903 VCard buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-20 18:01 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 10:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Final patch for this issue (1.10 KB, patch)
2004-09-23 09:39 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-09-20 18:01:22 EDT
A stack buffer overrun in VCard display routines could be exploited to
run arbitrary code supplied by the attacker.

Workaround: Disable in-line display of attachments, don't open VCard
attachments.

See 
http://www.mozilla.org/projects/security/known-vulnerabilities.html#mozilla1.7.3
for more information.
Comment 1 Josh Bressers 2004-09-20 18:26:34 EDT
This issue is going to be RHSA-2004:486.
Comment 2 Josh Bressers 2004-09-23 09:39:42 EDT
Created attachment 104185 [details]
Final patch for this issue
Comment 3 Josh Bressers 2004-09-30 10:20:01 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-486.html

Note You need to log in before you can comment on or make changes to this bug.